X2Go Bug report logs - #284
x2goclient OS X: password input not working on second connect or in broker-mode

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: David Fuhrmann <fuhrmann_mail@web.de>

Date: Sun, 4 Aug 2013 08:03:01 UTC

Severity: important

Tags: pending

Merged with 139, 260

Found in versions 4.0.0.4, 4.0.1.1, 4.0.1.0

Fixed in version 4.0.1.2

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#284; Package x2goclient. (Sun, 04 Aug 2013 08:03:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Fuhrmann <fuhrmann_mail@web.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 04 Aug 2013 08:03:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: David Fuhrmann <fuhrmann_mail@web.de>
To: submit@bugs.x2go.org
Subject: mac client: focus problems prevent the user to type in username and password
Date: Sun, 4 Aug 2013 09:51:50 +0200
Package: x2goclient
Version: 4.0.1.0
Severity: grave

The following problem persists at least in the mac version, but can be also found in the linux version:

1) Start a remote session.
2) click on the pause button in the session view
3) You will see the login screen for the connection, asking for username and password.

The focus seems to be on the password field. But if you type something, nothing appears inside password or username field, so the focus lies somewhere else.

4) Try to move the focus to the password field by pressing tab or clicking. Nothing happens. (Note: In the linux version, I was eventually able to put the focus back to the password field when pressing tab.)

Only solution to resume the session is to restart the x2goclient, and then log in again.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#284; Package x2goclient. (Mon, 05 Aug 2013 08:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 05 Aug 2013 08:03:02 GMT) Full text and rfc822 format available.

Message #10 received at 284@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: David Fuhrmann <fuhrmann_mail@web.de>, 284@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#284: mac client: focus problems prevent the user to type in username and password
Date: Mon, 05 Aug 2013 09:54:15 +0200
[Message part 1 (text/plain, inline)]
severity #284 important
merge #284 #139
thanks

Hi David,

On So 04 Aug 2013 09:51:50 CEST David Fuhrmann wrote:

> The following problem persists at least in the mac version, but can  
> be also found in the linux version:
>
> 1) Start a remote session.
> 2) click on the pause button in the session view
> 3) You will see the login screen for the connection, asking for  
> username and password.
>
> The focus seems to be on the password field. But if you type  
> something, nothing appears inside password or username field, so the  
> focus lies somewhere else.
>
> 4) Try to move the focus to the password field by pressing tab or  
> clicking. Nothing happens. (Note: In the linux version, I was  
> eventually able to put the focus back to the password field when  
> pressing tab.)
>
> Only solution to resume the session is to restart the x2goclient,  
> and then log in again.

The issue seems to be a duplicate of #139 and #260. Merging those  
issues due to that.

We are aware of the issue, good to hear that the issue is reproducible  
on Linux as the only Mac machine we have is only reachable via VNC. At  
least there is a Mac machine we can use for testing/building!

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Severity set to 'important' from 'grave' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 05 Aug 2013 08:03:02 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.0.4. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 05 Aug 2013 08:03:02 GMT) Full text and rfc822 format available.

Merged 139 260 284 Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 05 Aug 2013 08:03:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#284; Package x2goclient. (Mon, 05 Aug 2013 15:33:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Fuhrmann <fuhrmann_mail@web.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 05 Aug 2013 15:33:01 GMT) Full text and rfc822 format available.

Message #21 received at 284@bugs.x2go.org (full text, mbox):

From: David Fuhrmann <fuhrmann_mail@web.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 284@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#284: mac client: focus problems prevent the user to type in username and password
Date: Mon, 5 Aug 2013 17:18:37 +0200
Am 05.08.2013 um 09:54 schrieb Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:

> severity #284 important
> merge #284 #139
> thanks
> 
> Hi David,
> 
> On So 04 Aug 2013 09:51:50 CEST David Fuhrmann wrote:
> 
>> The following problem persists at least in the mac version, but can be also found in the linux version:
>> 
>> 1) Start a remote session.
>> 2) click on the pause button in the session view
>> 3) You will see the login screen for the connection, asking for username and password.
>> 
>> The focus seems to be on the password field. But if you type something, nothing appears inside password or username field, so the focus lies somewhere else.
>> 
>> 4) Try to move the focus to the password field by pressing tab or clicking. Nothing happens. (Note: In the linux version, I was eventually able to put the focus back to the password field when pressing tab.)
>> 
>> Only solution to resume the session is to restart the x2goclient, and then log in again.
> 
> The issue seems to be a duplicate of #139 and #260. Merging those issues due to that.
> 
> We are aware of the issue, good to hear that the issue is reproducible on Linux as the only Mac machine we have is only reachable via VNC. At least there is a Mac machine we can use for testing/building!
> 
> Greets,
> Mike
> 
> -- 
> 
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
> 
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
> 
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb


Hi,

I just retested the issue on the linux machine which I tried out and unfortunately, I cannot reproduce it anymore. No idea why.

If you need some help fixing the bug, you are welcome to send me a test build, or something like that.

With best regards,
David

Marked as found in versions 4.0.1.1. Request was from Clemens Lang <neverpanic@gmail.com> to control@bugs.x2go.org. (Sun, 15 Sep 2013 16:18:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'x2goclient OS X: password input not working on second connect or in broker-mode' from 'mac client: focus problems prevent the user to type in username and password' Request was from Clemens Lang <neverpanic@gmail.com> to control@bugs.x2go.org. (Sun, 15 Sep 2013 16:18:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> to control@bugs.x2go.org. (Thu, 12 Dec 2013 10:18:01 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.2. Request was from Oleksandr Shneyder <o.shneyder@phoca-gmbh.de> to control@bugs.x2go.org. (Thu, 12 Dec 2013 10:18:01 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 17 Dec 2013 15:03:05 GMT) Full text and rfc822 format available.

Notification sent to David Fuhrmann <fuhrmann_mail@web.de>:
Bug acknowledged by developer. (Tue, 17 Dec 2013 15:03:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 17 Jan 2014 06:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Apr 20 14:26:02 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.